Subject: Mandatory check fails if value="0"

Description

Hi Alex,

| did a form with some select and radio button fieleds. All of them are mandatory fields.

For example:

field:
radio-button
values:
no|0

yes | 1

Now | opened the form in the FE and chose "yes". All worked fine.

But if | choose "no", which has the value "0", the confirmation page told me that the field must be filled.

That happens on select and radio button fields, where | selected the mandatory check.

Could you check this please?

Related issues:
duplicates powermail - Bug # 5527: Mandatory Field with Value 0 is not accepted Resolved

2009-11-27

Associated revisions

Revision 10999 - 2008-08-07 00:04 - Oliver Klee

[Bug 1502] Update the DK localization

History

#1 - 2008-11-12 14:28 - Stefan Mayer

I made a simple fix in class.tx_powermail_mandatory.php row 110:

if (('trim($this->sessionfields['uid'.$row['uid']]) || lisset($this->sessionfields['uid'.$row['uid"]])) && $this->sessionfields['uid'.$row['uid’]] != 0)

#2 - 2008-12-10 11:36 - Titus Nachbauer [Netcreators]

Very closely related, so | won't file a new bugreport:

When using a siple two option radiobutton, the mandatory check seems to fail in any case. The form acts as if no value has been filled in.
#3 - 2010-10-22 11:42 - Andy Grunwald

- Target version set to Powermail 1.5.6

#4 - 2010-10-28 22:15 - Andy Grunwald
- Status changed from New to Closed

- Assigned To changed from Alex Kellner to Andy Grunwald

This issue was fixed in #5527 (current trunk)
